org.gnome.notify

## Class Urgency

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.notify.Urgency

-     public class Urgency
      extends org.freedesktop.bindings.Constant

  Used to indicate the urgency level of `Notification` shown.
  Since:
    4.0.12
  Author:
    Serkan Kaba

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Urgency` | `CRITICAL` Represents critical urgency used for very important notifications.
    `static Urgency` | `LOW` Represents low urgency used for unimportant notifications.
    `static Urgency` | `NORMAL` Represents normal urgency used for standard notifications.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CRITICAL

          public static final Urgency CRITICAL

      Represents critical urgency used for very important notifications.

    - #### LOW

          public static final Urgency LOW

      Represents low urgency used for unimportant notifications.

    - #### NORMAL

          public static final Urgency NORMAL

      Represents normal urgency used for standard notifications.